%define name	penguintv
%define version 4.0.0
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Media-rich RSS reader
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/penguintv/PenguinTV-%{version}.tar.gz
URL:		http://penguintv.sourceforge.net/
License:	GPLv2+
Group:		Networking/News
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel 
BuildRequires:	pygtk2.0 pygtk2.0-libglade pygtk2.0-devel
BuildRequires:	python-sqlite2 python-curl
BuildRequires:	gnome-python-gtkhtml2
BuildRequires:  gnome-python gnome-python-gnomevfs
BuildRequires:	python-pyxml python-imaging
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-python-gtkmozembed gnome-python-devel
Requires:	pygtk2.0 pygtk2.0-libglade
Requires:	python-sqlite2 python-curl
Requires:	gnome-python-gtkhtml2
Requires:	gnome-python gnome-python-gnomevfs
Requires:	python-pyxml python-imaging
BuildArch:	noarch

%description
PenguinTV is not just another RSS feed reader. It is designed from the ground
up to work seamlessly with podcasts and video blogs (even as torrents),
allowing you to easily enjoy the audio, music, and video published around the
web in RSS format.

%prep
%setup -q -n PenguinTV-%version
perl -p -i -e 's|import sqlite|import pysqlite2||g' penguintv/__init__.py

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}
python setup.py install --prefix=%{buildroot}%{_prefix}


desktop-file-install --vendor="" \
--remove-category="Application" \
--add-category="X-MandrivaLinux-Network;News" \
--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %name

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc CONTRIBUTORS LICENSE MANIFEST PKG-INFO README
%{_bindir}/PenguinTV
%{_datadir}/dbus-1/services/penguintv.service
%{_datadir}/%name
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{py_sitedir}/%name
%{py_sitedir}/*.egg-info
%{_iconsdir}/hicolor/*/*/penguintvicon.png



%changelog
* Wed Mar 18 2009 Emmanuel Andry <eandry@mandriva.org> 4.0.0-1mdv2009.1
+ Revision: 357529
- BR python-imaging
- New version 4.0
- fix license
- fix BR
- update files list

* Tue Jan 06 2009 Funda Wang <fundawang@mandriva.org> 3.0-4mdv2009.1
+ Revision: 325777
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0-3mdv2009.0
+ Revision: 255228
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 3.0-1mdv2008.1
+ Revision: 136656
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 02 2007 Funda Wang <fundawang@mandriva.org> 3.0-1mdv2008.0
+ Revision: 46884
- more BR
  clean spec file
- New version

* Sun May 06 2007 Austin Acton <austin@mandriva.org> 1.93-2mdv2008.0
+ Revision: 23570
- buildrequries desktop-file-utils
- rebuild for python 2.5 (bug #30654)
- fix buildrequires
- Import penguintv



* Sun Aug 13 2006 Austin Acton <austin@mandriva.org> 1.93-1mdv2007.0
- 1.93

* Tue Jun 27 2006 Charles A Edwards <eslrahc@mandriva.org> 1.75-1mdv2007.0
- 1.75 
- Xdg

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.90-1mdk
- New release 0.90
- fix up buildrequires

* Fri Nov 04 2005 Austin Acton <austin@mandriva.org> 0.80-1mdk
- New release 0.80

* Sat Oct 01 2005 Austin Acton <austin@mandriva.org> 0.77-1mdk
- New release 0.77

* Mon Aug 29 2005 Austin Acton <austin@mandriva.org> 0.76-1mdk
- New release 0.76

* Sun Aug 21 2005 Austin Acton <austin@mandriva.org> 0.75-2mdk
- add some requires

* Fri Aug 19 2005 Austin Acton <austin@mandriva.org> 0.75-1mdk
- New release 0.75

* Tue Aug 16 2005 Austin Acton <austin@mandriva.org> 0.71-1mdk
- New release 0.71

* Wed Aug 11 2005 Austin Acton <austin@mandriva.org> 0.7-1mdk
- initial package
